Scope 7 - XITE-1D Hotfix not required.

A place to talk about whatever Scope music/gear related stuff you want.

Moderators: valis, garyb

Post Reply
User avatar
dante
Posts: 3734
Joined: Sat Nov 24, 2001 4:00 pm
Location: Melbourne Australia
Contact:

Scope 7 - XITE-1D Hotfix not required.

Post by dante » Sat Dec 02, 2017 11:28 pm

For XITE-1D owners - Scope 7 install on Win 8.0 x64 worked a charm (after responding 'ignore' to Windows SmartScreen warning). No need to install hotfix that was required for XITE-1D Scope 5.1.

Post Reply